Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class PropertyDescription

    java.lang.Object
      org.jboss.portal.wsrp.core.PropertyDescription

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyDescription

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected LocalizedString` | `hint`
`protected LocalizedString` | `label`
`protected java.lang.String` | `name`
`protected javax.xml.namespace.QName` | `type`

Constructor Summary
`PropertyDescription()`
`PropertyDescription(java.lang.String name, javax.xml.namespace.QName type, LocalizedString label, LocalizedString hint, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`LocalizedString` | `getHint()`
`LocalizedString` | `getLabel()`
`java.lang.String` | `getName()`
`javax.xml.namespace.QName` | `getType()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setHint(LocalizedString hint)`
`void` | `setLabel(LocalizedString label)`
`void` | `setName(java.lang.String name)`
`void` | `setType(javax.xml.namespace.QName type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected javax.xml.namespace.QName type

### label

    protected LocalizedString label

### hint

    protected LocalizedString hint

### extensions

    protected Extension[] extensions

Constructor Detail

### PropertyDescription

    public PropertyDescription()

### PropertyDescription

    public PropertyDescription(java.lang.String name,
                               javax.xml.namespace.QName type,
                               LocalizedString label,
                               LocalizedString hint,
                               Extension[] extensions)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public javax.xml.namespace.QName getType()

### setType

    public void setType(javax.xml.namespace.QName type)

### getLabel

    public LocalizedString getLabel()

### setLabel

    public void setLabel(LocalizedString label)

### getHint

    public LocalizedString getHint()

### setHint

    public void setHint(LocalizedString hint)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD